import { Point } from './point.type';

/**
 * A carpool route is a route with distance and duration as driver and / or passenger
 */
export type CarpoolRoute = {
  driverDistance?: number;
  driverDuration?: number;
  passengerDistance?: number;
  passengerDuration?: number;
  fwdAzimuth: number;
  backAzimuth: number;
  points: Point[];
};
