import { Candidate } from '../../../types/algorithm.types';
import { Processor } from '../algorithm.abstract';

export abstract class Filter extends Processor {
  execute = async (candidates: Candidate[]): Promise<Candidate[]> =>
    this.filter(candidates);

  abstract filter(candidates: Candidate[]): Promise<Candidate[]>;
}
