import { Role } from '../../domain/ad.types';
import { CarpoolRoute } from './carpool-route.type';

export enum AlgorithmType {
  PASSENGER_ORIENTED = 'PASSENGER_ORIENTED',
}

/**
 * A candidate is a potential match
 */
export type Candidate = {
  ad: Ad;
  role: Role;
  baseCarpoolRoute: CarpoolRoute;
  // driverRoute?: Route; ?
  // crewRoute?: Route; ?
};

export type Ad = {
  id: string;
};
